## pywavelets 0.3.0

=== util/appveyor/requirements.txt ===
# Fetch a numpy wheel from the sklearn rackspace wheelhouse.
# That wheel was generated by @ogrisel by calling `wheel convert` on
# the binaries from http://www.lfd.uci.edu/~gohlke/pythonlibs/
# This is a temporary solution. As soon as numpy provides an official
# wheel for windows we ca delete this --find-links line.
--find-links http://28daf2247a33ed269873-7b1aad3fab3cc330e1fd9d109892382a.r6.cf2.rackcdn.com

# fix the versions of numpy to force the use of numpy to use the whl
# of the rackspace folder instead of trying to install from more recent
# source tarball published on PyPI
numpy==1.8.1
Cython==0.20.2
nose
wheel
