## pywavelets 0.2.0

=== debian/changelog ===
pywavelets (0.2.0-5) unstable; urgency=low

  * debian/patches/02_skip-wavelet-filters-coefficients-doctest.patches
    - Removed because exceed by 02_format-float-array-in-doctests.patch
  * debian/patches/02_format-float-array-in-doctests.patch
    - Added upstream patch to fix representation float issues in
      doctests accross Python versions
  * debian/patches/03_fix-help.patch
    - Added upstream patch to fix python interactive built-in help
      system (Closes: #595980)
  * debian/rules
    - Enabled hardening flags

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 22 May 2012 05:35:15 +0200

pywavelets (0.2.0-4) unstable; urgency=low

  * debian/control
    - Bumped Standards-Version to 3.9.3
  * debian/copyright
    - Fixed DEP5 lintian warnings
    - Updated Format URI
    - Updated copyright years
  * debian/preinst
    - Removed because no more needed after Squeeze release
  * debian/patches/01_fix-cython-0-14-compiling.patch
    - Made DEP3 compliant
  * debian/patches/02_skip-wavelet-filters-coefficients-doctest.patch
    - Skip wavelet filters coefficients doctest because it fails only
      in Python 2.7 due Float repr improvements backported from 3.x
  * debian/rules
    - Enabled tests at build time

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 13 Mar 2012 03:50:55 +0100

pywavelets (0.2.0-3) unstable; urgency=low

  * debian/control
    - Bumped python-sphinx Build-Depends to be able to use dh_sphinxdoc and
      added ${sphinxdoc:Depends} dependency
    - Removed libjs-jquery from Suggests field because dh_sphinxdoc will handle
      generation of jquery dependency
  * debian/copyright
     - Updated to DEP5 Format r174
  * debian/python-pywt.doc-base
    - Registered documentation provided by python-pywt using doc-base
  * debian/rules
    - Added build-arch and build-indep targets
    - Used dh_sphinxdoc
    - Removed dh_link symlink of jquery.js to libjs-jquery
    - Don't compress Sphinx _sources

 -- Daniele Tricoli <eriol@mornie.org>  Thu, 25 Aug 2011 02:24:29 +0200

pywavelets (0.2.0-2) unstable; urgency=low

  * debian/control
    - Removed Piotr and added myself to Uploaders (Closes: #579114)
    - Bumped Standards-Version to 3.9.2 (no changes needed)
  * debian/patches/01_fix-cython-0-14-compiling.patch
    - Added upstream patch (Mercurial rev 784802d4118c) to compile
      using Cython 0.14
  * debian/rules
    - Don't compress objects.inv. Thanks to Michael Fladischer for the report.
      (Closes: #608766)
  * debian/source/format
    - Switched to dpkg-source 3.0 (quilt) format
  * debian/{control, rules}
    - Switched to dh_python2.

 -- Daniele Tricoli <eriol@mornie.org>  Tue, 12 Apr 2011 02:55:04 +0200

pywavelets (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Rebuild documentation at build time
    - python-sphinx added to build dependencies
  * Standards-version bumped to 3.8.4 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 20 Mar 2010 21:05:17 +0100

pywavelets (0.1.7~svn139-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - Switch Vcs-Browser field to viewsvn
    - removed Ondrej from Uploaders: thanks for your work!

  [ Piotr Ożarowski ]
  * New upstream snapshot (closes: #510922, #510920)
  * Add get-orig-source rule
  * Use setup.py to build the package - python2.5 will create .egg-info during
    the build
  * Cython added to Build-Depends
  * Convert from python-central to python-support
  * Add libjs-jquery to Suggests (for new docs)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Nov 2009 21:44:19 +0100

pywavelets (0.1.7~svn97-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * New upstream snapshot (LP: #186421)
    + 01_not_a_script patch removed (no longer needed)
  * Standards-version bumped to 3.8.0
    + Homepage field added
  * Python version stripped from Egg name by pycentral (required version
    bumped to 0.6.1)
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)
  * python-wavelets dummy package removed (python-pywt is already in testing
    and Etch doesn't have it)
  * Change license of my packaging efforts to BSD to match upstream
  * XS-DM-Upload-Allowed: yes field added

  [ Ondrej Certik ]
  * Added myself to uploaders
  * lintian warning fix: python -> Python

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 09 Jul 2008 22:13:00 +0200

pywavelets (0.1.6-3) unstable; urgency=low

  * Fix debian/rules to use new package name
  * Add python-wavelets transitional dummy package to make the upgrade process
    smooth

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 19 Sep 2007 20:53:24 +0200

pywavelets (0.1.6-2) unstable; urgency=low

  * Rename binary package to python-pywt
    (to conform to the Debian Python Policy)
  * find (see clean rule) works correctly in every build now (closes: #442715)
  * Rebuild to add Python 2.5 extension
  * Changed my address to piotr@debian.org

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 17 Sep 2007 22:27:33 +0200

pywavelets (0.1.6-1) unstable; urgency=low

  * Initial release (closes: #406557)

 -- Piotr Ozarowski <ozarow@gmail.com>  Thu, 11 Jan 2007 22:43:38 +0100
