=== debian/watch ===
version=3
http://pypi.python.org/packages/source/P/PyWavelets/PyWavelets-(.*)\.tar\.gz debian uupdate
