## pywavelets 0.2.2

=== debian/changelog ===
pywavelets (0.2.2-2) unstable; urgency=low

  * Upload to unstable
  * debian/rules
    - Removed get-orig-source since not used anymore
  * debian/watch
    - Switched download URL to https

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 13 Jul 2013 23:42:44 +0200

pywavelets (0.2.2-1) experimental; urgency=low

  * New upstream release
  * Removed upstream patches since they are included:
    - 01_fix-cython-0-14-compiling.patch
    - 02_format-float-array-in-doctests.patch
    - 03_fix-help.patch
  * debian/control
    - Bumped Standards-Version to 3.9.4 (no changes needed)
    - Bumped cython version to >= 0.16
    - Fixed lintian vcs-field-not-canonical
    - Removed Provides field for binary package python-pywt since
      there aren't packages with version specific dependencies on
      it
  * debian/copyright
    - Updated copyright years
    - Updated upstream email address
  * debian/docs
    - Renamed README.txt to README.rst to reflect upstream change
  * debian/watch
    - Updated to reflect extension change made by upstream
    - Removed debian uupdate action

 -- Daniele Tricoli <eriol@mornie.org>  Sat, 13 Apr 2013 05:07:00 +0200
