=== debian/control ===
Source: pywavelets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 cython (>=0.16),
 debhelper (>= 5.0.38),
 python-all-dev (>=2.6.6-3),
 python-numpy (>= 1:0.9.8-2),
 python-setuptools (>= 0.6b3-1~),
 python-sphinx (>= 1.0.7+dfsg)
Standards-Version: 3.9.4
Homepage: http://www.pybytes.com/pywavelets/
X-Python-Version: >= 2.4
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pywavelets/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pywavelets/trunk/

Package: python-pywt
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
 ${sphinxdoc:Depends},
 python-numpy (>= 1:0.9.8-2)
Description: Python extension implementing of wavelet transformations
 PyWavelets implements the discrete wavelet transform (DWT) popular in
 numerical harmonic analysis for numerous families of wavelets, including
 Haar, Daubechies, Symlet, Coiflet, biorthogonal wavelets in one and two
 dimensions.
