=== debian/rules ===
--- 
+++ 
@@ -79,15 +79,4 @@
 
 binary: binary-indep binary-arch
 
-get-orig-source:
-	REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*svn([^-]+).*,\1,p'); \
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p'); \
-	if [ x$$REV = x ]; then \
-	 uscan --force-download --rename --download-version=$$VER --destdir=.; \
-	else \
-	 svn -q export -r $$REV http://wavelets.scipy.org/svn/multiresolution/pywt/trunk pywavelets-r$$REV && \
-         tar -zcf ./pywavelets_$$VER.orig.tar.gz pywavelets-r$$REV; \
-	 rm -rf pywavelets-r$$REV; \
-	fi
-
 .PHONY: clean binary-indep binary-arch binary
