=== debian/watch ===
version=3
https://pypi.python.org/packages/source/P/PyWavelets/PyWavelets-(.*)\.zip
