## pywavelets 0.3.0

=== debian/changelog ===
pywavelets (0.3.0-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:43:16 +0000

pywavelets (0.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: #796767).
  * Switch packaging to pybuild.
  * Build Python3 package.
  * Build python-pywt-doc to ship documentation.
  * debian/compat
    - Bump debhelper compatibility level to 9.
  * debian/control
    - Bump debhelper B-D to (>= 9).
    - Add dh-python, python{,3}-nose, python3-all-dev and python3-numpy to B-D.
    - Add python3-pywt stanza.
    - Add python-pywt-doc stanza.
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Bump X-Python-Version to >= 2.6.
    - Add X-Python3-Version >= 3.3.
    - Update Homepage field.
    - Update Vcs fields for git migration.
  * debian/copyright
    - Update Upstream-Contact.
    - Update copyright years.
    - Add stanza for files inside util/appveyor.
  * debian/docs
    - Rename README.rts into README.
  * debian/python-pywt-doc.docs
    - Ship documentation created with Python Sphinx.
  * debian/python-pywt-doc.doc-base
    - Rename from debian/python-pywt.doc-base.
  * debian/patches/01-get_version_from_source.patch
    - Grab version from the source code instead of importing pywt to build
      documentation at package build time.
  * debian/patches/02-remove_privacy_offenders.patch
    Remove Google Analitics and Travis build badge.
  * debian/patches/do_not_rewrite_git_revision_on_build.patch
    - Don't rewrite git revision during build.
  * debian/rules
    - Rewrite from scratch using pybuild.
    - Make the build reproducible. Thanks to Juan Picca for report and patch
      (Closes: #788594).
  * debian/watch
    - Use pypi.debian.net redirector.

 -- Daniele Tricoli <eriol@mornie.org>  Wed, 04 Nov 2015 21:31:39 +0100
