=== debian/changelog ===
pywavelets (0.5.1-1.3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:02 +0100

pywavelets (0.5.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Grab patch from Ubuntu and Balint Reczey to fix an aligment problem on
    armhf (Closes: #917652)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 18 Dec 2019 15:36:45 +0100

pywavelets (0.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #938301

 -- Sandro Tosi <morph@debian.org>  Fri, 13 Dec 2019 13:37:57 -0500

pywavelets (0.5.1-1.1) unstable; urgency=medium

  [ Balint Reczey ]
  * Non-maintainer upload.
  * Fix clean target to allow dpkg-buildpackage -S succeed

  [ Bhavani Shankar ]
  * Fix dh_fixperms override to work properly with 
    architecture-independent-only builds. (Closes: #852303)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 27 Mar 2017 07:42:33 +0000

pywavelets (0.5.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Daniele Tricoli ]
  * New upstream release.
  * debian/control
    - Add python3-setuptools to Build-Depends.
    - Add python-numpydoc to Build-Depends.
    - Bump Standards-Version to 3.9.8 (no changes needed).
  * debian/copyright
    - Update copyright years.
    - Align debian/copyright to new upstream source.
  * debian/docs
    - Rename README to README.rst.
  * debian/examples
    - Rename into python-pywt-doc.examples.
  * debian/python-pywt-doc.examples
    - Move examples to documentation package.
  * debian/rules
    - Copy tests to run them during build and then remove.
    - Enable hardening build flags.
    - Remove execution flag set on all files of orig tarball.

 -- Daniele Tricoli <eriol@mornie.org>  Fri, 23 Dec 2016 00:28:30 +0100
