=== debian/control ===
Source: pywavelets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Daniele Tricoli <eriol@mornie.org>
Section: python
Priority: optional
Build-Depends:
 cython3 (>=0.16),
 debhelper (>= 9),
 dh-python,
 python3-numpydoc,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-all-dev,
 python3-nose,
 python3-numpy,
 python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/PyWavelets/pywt
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pywavelets.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pywavelets.git

Package: python3-pywt
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-numpy
Description: Python3 extension implementing of wavelet transformations
 PyWavelets implements the discrete wavelet transform (DWT) popular in
 numerical harmonic analysis for numerous families of wavelets, including
 Haar, Daubechies, Symlet, Coiflet, biorthogonal wavelets in one and two
 dimensions.
 .
 This package contains the Python 3 version of the library.

Package: python-pywt-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python extension implementing of wavelet transformations (Documentation)
 PyWavelets implements the discrete wavelet transform (DWT) popular in
 numerical harmonic analysis for numerous families of wavelets, including
 Haar, Daubechies, Symlet, Coiflet, biorthogonal wavelets in one and two
 dimensions.
 .
 This package contains documentation and examples.
