## pywavelets 1.1.1

=== util/readthedocs/requirements.txt ===
numpy
cython
pytest
wheel
numpydoc
matplotlib
