=== debian/changelog ===
pywavelets (1.1.1-1) unstable; urgency=low

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Ole Streicher ]
  * New upstream version 1.1.1. Closes: #962815
  * Rediff patches. Remove patch that was applied upstream
  * Add new build dependencies
  * Remove non-existing files from docs install
  * Push Standards-Version to 4.5.0. Change remaining URLs to https
  * Update dh-compat to 12
  * Use d/clean to remove extra files
  * Add "Rules-Requires-Root: no" to d/control
  * Replace dpkg-parsechangelog by SOURCE_DATE_EPOCH
  * Use the packaged MathJax
  * Add Suggests: python-pyqwt-doc to python3-pyqwt. Closes: #893107

 -- Ole Streicher <olebole@debian.org>  Tue, 16 Jun 2020 11:19:53 +0200
