=== debian/control ===
--- 
+++ 
@@ -5,20 +5,21 @@
 Priority: optional
 Build-Depends:
  cython3 (>=0.16),
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
+ python3-matplotlib,
  python3-numpydoc,
  python3-sphinx (>= 1.0.7+dfsg),
  python3-all-dev,
  python3-nose,
  python3-numpy,
+ python3-pytest,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
 Homepage: https://github.com/PyWavelets/pywt
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pywavelets.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pywavelets.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/pywavelets.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pywavelets
+Rules-Requires-Root: no
 
 Package: python3-pywt
 Architecture: any
@@ -27,6 +28,7 @@
  ${python3:Depends},
  ${shlibs:Depends},
  python3-numpy
+Suggests: python-pywt-doc
 Description: Python3 extension implementing of wavelet transformations
  PyWavelets implements the discrete wavelet transform (DWT) popular in
  numerical harmonic analysis for numerous families of wavelets, including
@@ -38,7 +40,7 @@
 Package: python-pywt-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}, libjs-mathjax
 Description: Python extension implementing of wavelet transformations (Documentation)
  PyWavelets implements the discrete wavelet transform (DWT) popular in
  numerical harmonic analysis for numerous families of wavelets, including
