=== debian/rules ===
--- 
+++ 
@@ -1,23 +1,20 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 export PYBUILD_AFTER_TEST=rm -rf {destdir}/usr/lib/python{version}/dist-packages/pywt/tests
 export PYBUILD_BEFORE_TEST=cp -r {dir}/pywt/tests {destdir}/usr/lib/python{version}/dist-packages/pywt
 export PYBUILD_NAME=pywt
 export PYTHONWARNINGS=d
+export PYBUILD_CLEAN_ARGS = --force
 
-LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
-BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
+BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(SOURCE_DATE_EPOCH)")
 SPHINXOPTS := -D html_last_updated_fmt="$(BUILD_DATE)"
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
-
-override_dh_auto_clean:
-	dh_auto_clean
-	# remove re-generated files
-	rm -f ./pywt/_extensions/_pywt.c ./pywt/_extensions/_dwt.c ./pywt/_extensions/_pywt.h ./pywt/_extensions/_swt.c ./pywt/_extensions/_cwt.c
 
 override_dh_auto_test:
 
@@ -38,6 +35,7 @@
 	dh_fixperms
 	# Remove execution flag set by upstream for all files.
 	find debian/python*-pywt -type f -exec chmod -x {} \;
+
 override_dh_fixperms_arch:
 	# Remove execution flag set by upstream also on examples.
 	find debian/python-pywt-doc -type f -exec chmod -x {} \;
