## pywavelets 1.4.1

=== util/readthedocs/requirements.txt ===
numpy
cython
pytest
wheel
numpydoc
matplotlib
docutils<0.18
