=== debian/changelog ===
pywavelets (1.4.1-3build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:15:38 +0000

pywavelets (1.4.1-3build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 20:09:49 +0000

pywavelets (1.4.1-3build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 09:19:14 +0000

pywavelets (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * Fix d/watch for new PyPi archive naming policy.

 -- Alexandre Detiste <tchet@debian.org>  Tue, 07 Jan 2025 23:35:44 +0100

pywavelets (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-nose (Closes: #1018601)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 24 May 2024 22:50:52 +0200

pywavelets (1.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Remove distutils dependency (closes: #1068805).
  * Remove misspelled override_dh_fixperms_indep and
    override_dh_fixperms_arch targets from debian/rules; they're no longer
    needed anyway.
  * Build-depend on dh-sequence-numpy3 (closes: #1000232).
  * Fix handling of SOURCE_DATE_EPOCH in debian/rules.

 -- Colin Watson <cjwatson@debian.org>  Fri, 26 Apr 2024 16:12:54 +0100

pywavelets (1.1.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cython3 and python3-sphinx.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + python-pywt-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:37:40 +0100

pywavelets (1.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Jun 2022 18:39:45 -0400
